# Deprecated API

## Contents

- Terminally Deprecated
- Methods

Terminally Deprecated Elements
Element
Description
net.shibboleth.idp.plugin.authn.webauthn.context.WebAuthnRegistrationContext.setCredentialIdToRemove(byte[])
Use `WebAuthnRegistrationContext.setCredentialIdToModify(byte[])` instead
net.shibboleth.idp.plugin.authn.webauthn.storage.CredentialRecord.withCredential(RegisteredCredential)
use `CredentialRecord.toBuilder()`

Deprecated Methods
Method
Description
net.shibboleth.idp.plugin.authn.webauthn.context.WebAuthnRegistrationContext.setCredentialIdToRemove(byte[])
Use `WebAuthnRegistrationContext.setCredentialIdToModify(byte[])` instead
net.shibboleth.idp.plugin.authn.webauthn.storage.CredentialRecord.withCredential(RegisteredCredential)
use `CredentialRecord.toBuilder()`